public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/aiohttp-cors/
Date: Sat, 13 Apr 2024 05:35:34 +0000 (UTC)	[thread overview]
Message-ID: <1712986510.e5cacb67a9e256438731422e14384c16dd0a3897.arthurzam@gentoo> (raw)

commit:     e5cacb67a9e256438731422e14384c16dd0a3897
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 13 05:07:53 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 05:35:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5cacb67

dev-python/aiohttp-cors: Fix errors with pytest-8

Closes: https://bugs.gentoo.org/928354
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/36231
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 .../aiohttp-cors/aiohttp-cors-0.7.0-r2.ebuild      | 23 ++++++++++++++--------
 1 file changed, 15 insertions(+), 8 deletions(-)

diff --git a/dev-python/aiohttp-cors/aiohttp-cors-0.7.0-r2.ebuild b/dev-python/aiohttp-cors/aiohttp-cors-0.7.0-r2.ebuild
index b9f9a8493b93..3b66370dac42 100644
--- a/dev-python/aiohttp-cors/aiohttp-cors-0.7.0-r2.ebuild
+++ b/dev-python/aiohttp-cors/aiohttp-cors-0.7.0-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -34,13 +34,20 @@ BDEPEND="
 
 distutils_enable_tests pytest
 
-PATCHES=(
-	# https://github.com/aio-libs/aiohttp-cors/pull/278
-	"${FILESDIR}/${P}-tests.patch"
-	"${FILESDIR}/${P}-py3_7.patch"
-	# https://github.com/aio-libs/aiohttp-cors/pull/412
-	"${FILESDIR}/${P}-py3_11.patch"
-)
+src_prepare() {
+	local PATCHES=(
+		# https://github.com/aio-libs/aiohttp-cors/pull/278
+		"${FILESDIR}/${P}-tests.patch"
+		"${FILESDIR}/${P}-py3_7.patch"
+		# https://github.com/aio-libs/aiohttp-cors/pull/412
+		"${FILESDIR}/${P}-py3_11.patch"
+	)
+
+	# doesn't do anything, except for breaking pytest-8
+	rm conftest.py || die
+
+	distutils-r1_src_prepare
+}
 
 python_test() {
 	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1


             reply	other threads:[~2024-04-13  5:35 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-04-13  5:35 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-08 20:27 [gentoo-commits] repo/gentoo:master commit in: dev-python/aiohttp-cors/ Arthur Zamarin
2024-08-10 12:49 Michał Górny
2024-06-20 10:07 Petr Vaněk
2023-11-17 10:44 Andrew Ammerlaan
2023-07-28 14:05 Michał Górny
2023-07-28 14:05 Michał Górny
2022-04-25 18:41 Sam James
2022-03-31 12:42 Michał Górny
2022-03-31 12:33 Jakov Smolić
2022-02-26 10:26 Michał Górny
2021-08-24 11:27 Louis Sautier
2021-03-15  2:55 Sam James
2020-12-11 18:06 Sergei Trofimovich
2020-11-26 19:08 Sam James
2020-11-26 13:21 Sam James
2020-11-25 18:13 Thomas Deutschmann
2020-11-23 16:39 Sergei Trofimovich
2020-11-02  9:47 Sam James
2020-10-07  1:02 Sam James
2020-10-04 19:49 Sergei Trofimovich
2020-09-30 20:26 Sam James
2020-09-27  6:42 Matt Turner
2020-09-13  4:55 Sam James
2020-09-13  3:31 Sam James
2020-08-25 10:23 Sam James
2020-08-24  0:09 Sam James
2020-08-18 21:53 Sergei Trofimovich
2020-08-18  7:53 Sam James
2020-08-17 11:00 Michał Górny
2020-03-26 11:16 Michał Górny
2020-03-17 17:14 Michał Górny
2019-10-15 15:58 Craig Andrews
2019-10-15 15:58 Craig Andrews
2019-01-27 15:05 Pacho Ramos
2019-01-27 12:36 Pacho Ramos
2018-03-05  0:31 Thomas Deutschmann
2018-03-03  2:07 Thomas Deutschmann
2017-09-26 22:30 Aaron Bauman
2017-07-10  0:17 Aaron Bauman
2017-04-20 13:41 Michał Górny
2017-04-20 13:41 Michał Górny
2017-01-29 11:38 Aaron Bauman
2017-01-29 11:17 Aaron Bauman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1712986510.e5cacb67a9e256438731422e14384c16dd0a3897.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox